Bug 1849171 - [OSP] Floating IP specified with lbFloatingIP in install-config.yaml fails to attach to master node causing install to fail
Summary: [OSP] Floating IP specified with lbFloatingIP in install-config.yaml fails to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.3.z
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1847957
Blocks: 1850940
TreeView+ depends on / blocked
 
Reported: 2020-06-19 18:32 UTC by OpenShift BugZilla Robot
Modified: 2020-07-07 14:48 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The Terraform step "openstack_networking_floatingip_associate_v2" did not list all its dependendent steps. Consequence: The required step "openstack_networking_router_interface_v2.nodes_router_interface" was not always executed before the FIP association. This caused a race condition that occasionally failed the Terraform job, especially on overloaded systems. Fix: List the dependant Terraform step as "depends_on" to force the router to be created before the FIP is attached to the port. Result: The Terraform steps run in the correct order, ensuring that the FIP association does not result in a "Resource not found" error.
Clone Of:
: 1850940 (view as bug list)
Environment:
Last Closed: 2020-07-07 14:48:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3780 None closed Bug 1849171: OpenStack: Wait for router interface to create FIP 2020-09-14 10:42:14 UTC
Red Hat Product Errata RHBA-2020:2805 None None None 2020-07-07 14:48:34 UTC

Comment 3 David Sanz 2020-06-25 09:58:27 UTC
Verified on 4.3.0-0.nightly-2020-06-25-030644

Comment 5 errata-xmlrpc 2020-07-07 14:48:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2805


Note You need to log in before you can comment on or make changes to this bug.